Spigot PlaceholderAPI 2.10.4

A resource that allows information from your favorite plugins be shown practically anywhere!

  1. clip

    Benefactor

    extended_clip submitted a new resource:

    Clips PlaceholderAPI - A public API that allows developers to register and obtain placeholder values from tons of plugins!

    Read more about this resource...
     
    • Like Like x 2
    • Like Like x 2
    • Winner Winner x 1
  2. clip

    Benefactor

  3. Add Crackshot! :)
     
  4. clip

    Benefactor

    What placeholders would you want to see associated with Crackshot?
     
  5. clip

    Benefactor

    I found out that there may be an issue with anyone using the plugin if you don't have Ezrankslite installed. I accidentally imported a class from Ezrankslite to handle the metrics system. As ezrankslite is a dependency in the plugin, this didnt cause me any errors exporting the project and also testing it as I had ezrankslite installed. I will be pushing an update to fix this as soon as I get off work so if you are having issues, expect the update in about 8 hours. Sorry for anyone who has experienced this issue!
     
  6. hi!
    I got some errors!
    Askyblock placeholder has some error.
    this is error log
    Code (Text):
    [13:54:24] [Server thread/ERROR]: Error occurred while enabling PlaceholderAPI v1.1 (Is it up to date?)
    java.lang.NoClassDefFoundError: com/wasteofplastic/acidisland/ASkyBlock
        at me.clip.placeholderapi.hooks.ASkyblockHook.hook(ASkyblockHook.java:25) ~[?:?]
        at me.clip.placeholderapi.PlaceholderAPIPlugin.initializeHooks(PlaceholderAPIPlugin.java:159) ~[?:?]
        at me.clip.placeholderapi.PlaceholderAPIPlugin.onEnable(PlaceholderAPIPlugin.java:102) ~[?:?]
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:321) ~[server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:335) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:405) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at org.bukkit.craftbukkit.v1_8_R2.CraftServer.loadPlugin(CraftServer.java:356) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at org.bukkit.craftbukkit.v1_8_R2.CraftServer.enablePlugins(CraftServer.java:316) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at net.minecraft.server.v1_8_R2.MinecraftServer.r(MinecraftServer.java:416) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at net.minecraft.server.v1_8_R2.MinecraftServer.k(MinecraftServer.java:382) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at net.minecraft.server.v1_8_R2.MinecraftServer.a(MinecraftServer.java:337) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at net.minecraft.server.v1_8_R2.DedicatedServer.init(DedicatedServer.java:257) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at net.minecraft.server.v1_8_R2.MinecraftServer.run(MinecraftServer.java:522) [server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at java.lang.Thread.run(Thread.java:745) [?:1.8.0_40]
    Caused by: java.lang.ClassNotFoundException: com.wasteofplastic.acidisland.ASkyBlock
        at java.net.URLClassLoader.findClass(URLClassLoader.java:381) ~[?:1.8.0_40]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:101) ~[server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at org.bukkit.plugin.java.PluginClassLoader.findClass(PluginClassLoader.java:86) ~[server-sky.jar:git-Spigot-1d14d5f-7aaa833]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:424) ~[?:1.8.0_40]
        at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:1.8.0_40]
        ... 14 more
     
     
  7. clip

    Benefactor

    What version of Askyblock are you using?
     
    • Funny Funny x 1
  8. 2.9.2.
    maybe lastest version.
     
  9. clip

    Benefactor

    I will be pushing an update when I get off work so I will make sure I am hooking into the latest version - 2.9
    2.1 although I am pretty sure I am already. Could you update to 2.9.2.1 and test to make sure?
     
  10. oh I'm already using 2.9.2.1 not 2.9.2. sorry.

    more info.
    Enabling hooking Acid isle, twin plugin with askyblock, doesn't send error logs even without Acid isle plugins.

    and hooking enable for Acid isle and Askyblock don't send error logs but not hooked.

    no error but not hooked config
    acid isle : true
    askyblock : true

    send error and no hooked
    acid isle : false
    askyblock : true
     
  11. clip

    Benefactor

    Okay ty. I will be working on getting this issue sorted out first thing in the morning when I get off work.
     
    • Friendly Friendly x 1
  12. thank you!
     
  13. clip

    Benefactor

    extended_clip updated Clips PlaceholderAPI with a new update entry:

    1.2 Fixed error on startup when EZRanksLite isn't installed. Added CheckNameHistory placeholders

    Read the rest of this update entry...
     
  14. Is the plugin name registered under "PlaceholderAPI" or "Clips PlaceholderAPI"? So I can add depend on it in my plugin.yml.
     
  15. clip

    Benefactor

    PlaceholderAPI

    Out of curiosity what ya making?
     
  16. Chat bot.
     
    #17 MrEminent42, Apr 22, 2015
    Last edited: Apr 22, 2015
  17. clip

    Benefactor

  18. clip

    Benefactor

    extended_clip updated Clips PlaceholderAPI with a new update entry:

    Added SimpleClans placeholders, Fixed statistic placeholders on 1.7.10/1.8.1, fixed command imports

    Read the rest of this update entry...
     
  19. @extended_clip
    Hi, I just want to know if you can create something to allow this plugin to work with skript.
    A lot of people want this and if you can, it would be amazing, or creat add-ons for your placeholders. It can be very useful.

    Thank you so much
     
    • Agree Agree x 3